// update fields with the new data
const setDOMInfo = info => {
  document.getElementById('names').textContent = info.names;
  document.getElementById('pagenames').value = info.pagesnames;
};

// once  DOM is ready
window.addEventListener('DOMContentLoaded', () => {
  // query for the active tab
  chrome.tabs.query({
    active: true,
    currentWindow: true
  }, tabs => {
    // send a request for the DOM info
    chrome.tabs.sendMessage(
        tabs[0].id,
        {from: 'popup', subject: 'DOMInfo'},
        // specif a callback to be called from the receiving end (content script).
        setDOMInfo);
  });
});

document.getElementById("copydata").onclick = function() {myFunction()};

function myFunction() {
  navigator.clipboard.writeText(document.getElementById("pagenames").value);
  document.getElementById('remarks').innerHTML = "Liked page names already copied!";
}
